/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { ErrorMessage } from "./message.models";
export var /** @type {?} */ DEFAULT_ERRORS = [
    {
        error: 'required',
        format: function (label) { return label + "\u672A\u586B\u5199"; }
    },
    {
        error: 'minlength',
        format: function (label, error) { return label + "\u5FC5\u987B\u81F3\u5C11" + error.requiredLength + "\u5B57\u7B26"; }
    },
    {
        error: 'maxlength',
        format: function (label, error) { return label + "\u5FC5\u987B\u4E0D\u5927\u4E8E" + error.requiredLength + "\u5B57\u7B26"; }
    },
    {
        error: 'max',
        format: function (label, error) { return label + " \u5FC5\u987B\u4E0D\u5927\u4E8E " + error.max; }
    },
    {
        error: 'min',
        format: function (label, error) { return label + " \u5FC5\u987B\u4E0D\u5F97\u5C11\u4E8E " + error.min; }
    },
    {
        error: 'email',
        format: function (label, error) { return "\u65E0\u6548\u7684\u90AE\u4EF6\u5730\u5740"; }
    }
];
