import { ElementRef, QueryList } from '@angular/core';
import { FormControlName } from '@angular/forms';
import { ErrorMessage } from './message.models';
import { ErrorMessageService } from './message.service';
export declare class FormValidateComponent {
    private elRef;
    private errorMessageService;
    FormControlNames: QueryList<FormControlName>;
    customErrorMessages: ErrorMessage[];
    validationDisabled: boolean;
    readonly hasErrors: boolean;
    readonly hasSuccess: boolean;
    constructor(elRef: ElementRef, errorMessageService: ErrorMessageService);
    readonly label: any;
    readonly isDirtyAndTouched: boolean;
    readonly errorMessages: ErrorMessage[];
    readonly messages: string[];
}
