﻿# F.E.Mock [fe-validate](https://www.npmjs.com/package/fe-validate)

## Dependencies

+ Angular >=4.0.0 

## Install

You can get it on npm.

```sh
npm install fe-validate --save
```

## Usage

app.module.ts:

```ts
import { FormValidationModule, CUSTOM_ERROR_MESSAGES } from 'fe-validate';
import { customErrorMessages } from '../validate.message'; // Custom message

@NgModule({
    declarations: [
        AppComponent
    ],
    imports: [
        ...
        FormValidationModule.forRoot()
    ],
    providers: [
        { provide: CUSTOM_ERROR_MESSAGES, useValue: customErrorMessages }
    ],
    bootstrap: [AppComponent]
})
export class AppModule {}
```
